org.apache.ignite.internal.processors.hadoop

## Interface HadoopTaskInput

All Superinterfaces:
  AutoCloseable

    public interface HadoopTaskInput
    extends AutoCloseable

Task input.

### Method Summary

Methods
`void` `close()` Closes input.
`Object` `key()` Gets current key.
`boolean` `next()` Moves cursor to the next element.
`Iterator<?>` `values()` Gets values for current key.

### Method Detail

#### next

    boolean next()

Moves cursor to the next element.

Returns:
  `false` If input is exceeded.

#### key

    Object key()

Gets current key.

Returns:
  Key.

#### values

    Iterator<?> values()

Gets values for current key.

Returns:
  Values.

#### close

    void close()
               throws IgniteCheckedException

Closes input.

Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IgniteCheckedException` - If failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015